> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a product

> Create a single product record in Retailgrid for a specific entity, including its SKU, attributes, and category metadata.



## OpenAPI

````yaml POST /v1/products/{entity_id}
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/products/{entity_id}:
    post:
      tags:
        - products
      summary: Create Product
      operationId: create_product_v1_products__entity_id__post
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entity Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProductCreate:
      properties:
        product_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Id
        product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Name
        product_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Group
        manufacturer:
          anyOf:
            - type: string
            - type: 'null'
          title: Manufacturer
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        product_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Type
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Barcode
        stock_on_hand:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Stock On Hand
        category_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 1
        category_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 2
        category_3:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 3
        category_4:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 4
        category_5:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 5
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        product_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Url
        rrp:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Rrp
        regular_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        product_created_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Product Created Date
        price_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Price Effective Date
        cost_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Cost Effective Date
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        uom:
          anyOf:
            - type: string
            - type: 'null'
          title: Uom
        tax_rate:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Tax Rate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        item_id:
          type: string
          title: Item Id
        sku:
          type: string
          title: Sku
        sku_name:
          type: string
          title: Sku Name
        current_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Current Price
        unit_cost:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Unit Cost
      additionalProperties: false
      type: object
      required:
        - item_id
        - sku
        - sku_name
        - current_price
        - unit_cost
      title: ProductCreate
    ProductResponse:
      properties:
        product_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Id
        product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Name
        product_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Group
        manufacturer:
          anyOf:
            - type: string
            - type: 'null'
          title: Manufacturer
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        product_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Type
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Barcode
        stock_on_hand:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Stock On Hand
        category_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 1
        category_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 2
        category_3:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 3
        category_4:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 4
        category_5:
          anyOf:
            - type: string
            - type: 'null'
          title: Category 5
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        product_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Url
        rrp:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Rrp
        regular_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        product_created_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Product Created Date
        price_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Price Effective Date
        cost_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Cost Effective Date
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        uom:
          anyOf:
            - type: string
            - type: 'null'
          title: Uom
        tax_rate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Tax Rate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        id:
          type: string
          format: uuid
          title: Id
        item_id:
          type: string
          title: Item Id
        sku:
          type: string
          title: Sku
        sku_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku Name
        current_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Current Price
        unit_cost:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unit Cost
      additionalProperties: false
      type: object
      required:
        - id
        - item_id
        - sku
      title: ProductResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````